<template>
  <nav class="navbar">
    <div class="navbar-brand">
      <router-link :to="homeRoute" class="navbar-item">
        <img src="@/assets/logos/logo.png">
      </router-link>

      <a role="button" class="navbar-burger">
        <span></span>
        <span></span>
        <span></span>
      </a>
    </div>
    <div class="navbar-menu">
      <div class="navbar-end">
        <router-link to="/new" class="navbar-item">
          <button class="button is-primary is-outlined">
            New
          </button>
        </router-link>
      </div>
    </div>
  </nav>
</template>

<script>
export default {
  computed: {
    homeRoute () {
      const userId = localStorage.getItem('apollo-user')
      if (userId) return '/feed'
      else return '/'
    }
  }
}
</script>
